{% if page.youtube_id %}
    {% assign y_id = page.youtube_id %}
    <div id="youtube" class="card">
        <div class="responsive-embed">
            <iframe src="https://www.youtube-nocookie.com/embed/{{ y_id }}" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>
        </div>
    </div>
{% endif %}

{% if page.nicovideo_id %}
    {% assign n_id = page.nicovideo_id %}
    <div id="nicovideo" class="card">
        <div class="responsive-embed">
            <iframe src="https://embed.nicovideo.jp/watch/{{ n_id }}" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>
        </div>
    </div>
{% endif %}

<div id="song-info" class="card">
    <div class="card-divider">
        <p>Song Info</p>
    </div>

    <div class="card-section">
        {{- page.content -}}
    </div>

    {%- if page.synthesia -%}
        <div id="synthesia-info" class="info-section card-section">
            {%- if page.synthesia_data -%}
            {% assign synthesia_data = page.synthesia_data | first %}
                {% if synthesia_data.title -%}
                    {% include macros/listGroupDetail.html key='Title' val=synthesia_data.title %}
                {%- endif %}
                {% if synthesia_data.subtitle -%}
                    {% include macros/listGroupDetail.html key='Subtitle' val=synthesia_data.subtitle %}
                {%- endif %}
                {% if synthesia_data.composer -%}
                    {% include macros/listGroupDetail.html key='Composer' val=synthesia_data.composer %}
                {%- endif %}
                {% if synthesia_data.copyright -%}
                    {% include macros/listGroupDetail.html key='Copyright' val=synthesia_data.copyright %}
                {%- endif %}
                {% if synthesia_data.famous -%}
                    {% include macros/listGroupDetail.html key='Made Famous By' val=synthesia_data.famous %}
                {%- endif %}
            {%- endif -%}
        </div>
    {%- endif -%}

</div>

<div class="card">
    <div class="card-divider">
        <p>Sheet Info</p>
    </div>

    <div id="sheet-info" class="info-section card-section">
        {%- if page.synthesia_data -%}
            {% assign synthesia_data = page.synthesia_data | first %}
            {% if synthesia_data.arranger -%}
                {% include macros/listGroupDetail.html key='Arranger' val=synthesia_data.arranger %}
            {%- endif %}
        {%- endif -%}
        {% if page.date -%}
            {%- assign _pub_date = page.date | date_to_string -%}
            {% include macros/listGroupDetail.html key='Publish Date' val=_pub_date %}
        {%- endif %}
    </div>

    {% include macros/listGroupTags.html %}
</div>

<div class="card">
    <div class="card-divider">
        <p>Download</p>
    </div>

    <div id="download-section" class="card-section info-section stacked button-group">
        {% if page.midi -%}
            {% include macros/listGroupDownload.html fp=page.midi icon='fas fa-file-audio' %}
        {%- endif %}
        {% if page.pdf -%}
            {% include macros/listGroupDownload.html fp=page.pdf icon='fas fa-file-pdf' %}
        {%- endif %}
        {% if page.synthesia -%}
            {% include macros/listGroupDownload.html fp=page.synthesia icon='fas fa-file-alt' %}
        {%- endif %}
        {% if page.musescore -%}
            {% include macros/listGroupDownload.html fp=page.musescore icon='fas fa-file-alt' %}
        {%- endif %}
    </div>
</div>
